<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author 		david.cifuentes
@modified 		juan.agudelo
@version 		2.0
@description	datos de trámites de via gubernativa, el autor debe complementar.
@cu 			CU-CO-R-01

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" width="100%"
             id="datosTramitesViaGubernativaEdicionPanelGrid">

    <p:messages id="msg" showDetail="false" globalOnly="false" />

    <script type="text/javascript"
            src="#{request.contextPath}/js/jquery.autotab-1.1b.js" />
    <script type="text/javascript">
        $(document).ready(
                function () {
                    $('#nuevoTramiteSolForm#s1,#nuevoTramiteSolForm#s2,#nuevoTramiteSolForm#s3,#nuevoTramiteSolForm#s4,#nuevoTramiteSolForm#s5,#nuevoTramiteSolForm#s6,#nuevoTramiteSolForm#s7,#nuevoTramiteSolForm#s8,#nuevoTramiteSolForm#s9,#nuevoTramiteSolForm#s10,#nuevoTramiteSolForm#s11,#nuevoTramiteSolForm#s12')
                            .autotab_magic().autotab_filter('numeric');
                });
    </script>

    <h:panelGrid columns="1">

        <h:panelGrid columns="2"
                     rendered="#{selectedSolicitudParam.viaGubernativa}">

            <h:outputLabel value="Criterio de búsqueda de Trámite: "
                           for="criterioEdicion" styleClass="outputLabelStyle" />

            <h:selectOneMenu id="criterioEdicion"
                             value="#{managedBeanParam.criterio}"
                             style="position:relative;left:4px;">
                <f:selectItem itemLabel="Seleccionar..." itemValue="" />
                <f:selectItem itemLabel="Resolución" itemValue="resolucion" />
                <f:selectItem itemLabel="Número Predial" itemValue="numeroPredial" />
                <p:ajax
                    update="numPredPanelEdicion, nuevoTramiteSolForm, resoPanelEdicion, resoContraProcedePanelEdicion, 
                    :nuevoTramiteSolForm:infoTramitesEdicion"
                    listener="#{managedBeanParam.reiniciarVariablesDeBusquedaViaGubernativa}" />
            </h:selectOneMenu>

        </h:panelGrid>

        <h:panelGrid columns="2"
                     rendered="#{selectedSolicitudParam.revocatoriaDirecta}">

            <h:outputLabel value="Criterio de búsqueda de Trámite: "
                           for="criterioEdicion" styleClass="outputLabelStyle" />
            <h:selectOneMenu id="criterioRevocatoriaEdicion"
                             value="#{managedBeanParam.criterio}"
                             style="position:relative;left:4px;">
                <f:selectItem itemLabel="Seleccionar..." itemValue="" />
                <f:selectItem itemLabel="Resolución" itemValue="resolucion" />
                <p:ajax
                    update="numPredPanelEdicion, nuevoTramiteSolForm, resoPanelEdicion, resoContraProcedePanelEdicion, 
                    :nuevoTramiteSolForm:infoTramitesEdicion"
                    listener="#{managedBeanParam.reiniciarVariablesDeBusquedaViaGubernativa}" />
            </h:selectOneMenu>

        </h:panelGrid>

        <h:panelGrid id="numPredialAgrupationPanel">
            <h:panelGrid columns="17" id="numPredPanelEdicion"
                         rendered="#{managedBeanParam.criterio eq 'numeroPredial'}">

                <h:outputLabel value="Número Predial:" styleClass="outputLabelStyle" />

                <h:panelGroup>
                    <h:inputText id="s1"
                                 value="#{managedBeanParam.datosConsultaTramite.numeroPredialS1}"
                                 size="1" maxlength="2" onkeyup="saltar(this, 2, 2, 3, 'nuevoTramiteSolForm:');"
                                 onblur="complete(this, 2)"/>

                    <h:inputText id="s2"
                                 value="#{managedBeanParam.datosConsultaTramite.numeroPredialS2}"
                                 size="3" maxlength="3" onkeyup="saltar(this, 3, 3, 2, 'nuevoTramiteSolForm:');"
                                 onblur="complete(this, 3)" />

                    <h:inputText id="s3"
                                 value="#{managedBeanParam.datosConsultaTramite.numeroPredialS3}"
                                 size="2" maxlength="2" onkeyup="saltar(this, 2, 4, 2, 'nuevoTramiteSolForm:');"
                                 onblur="complete(this, 2)"/>

                    <h:inputText id="s4"
                                 value="#{managedBeanParam.datosConsultaTramite.numeroPredialS4}"
                                 size="2" maxlength="2" onkeyup="saltar(this, 2, 5, 2, 'nuevoTramiteSolForm:');"
                                 onblur="complete(this, 2)"/>

                    <h:inputText id="s5"
                                 value="#{managedBeanParam.datosConsultaTramite.numeroPredialS5}"
                                 size="2" maxlength="2" onkeyup="saltar(this, 2, 6, 2, 'nuevoTramiteSolForm:');"
                                 onblur="complete(this, 2)"/>

                    <h:inputText id="s6"
                                 value="#{managedBeanParam.datosConsultaTramite.numeroPredialS6}"
                                 size="2" maxlength="2" onkeyup="saltar(this, 2, 7, 4, 'nuevoTramiteSolForm:');"
                                 onblur="complete(this, 2)"/>

                    <h:inputText id="s7"
                                 value="#{managedBeanParam.datosConsultaTramite.numeroPredialS7}"
                                 size="4" maxlength="4" onkeyup="saltar(this, 4, 8, 4, 'nuevoTramiteSolForm:');"
                                 onblur="complete(this, 4)"/>

                    <h:inputText id="s8"
                                 value="#{managedBeanParam.datosConsultaTramite.numeroPredialS8}"
                                 size="4" maxlength="4" onkeyup="saltar(this, 4, 9, 1, 'nuevoTramiteSolForm:');"
                                 onblur="complete(this, 4)"/>

                    <h:inputText id="s9"
                                 value="#{managedBeanParam.datosConsultaTramite.numeroPredialS9}"
                                 size="1" maxlength="1" onkeyup="saltar(this, 1, 10, 2, 'nuevoTramiteSolForm:');"
                                 onblur="complete(this, 1)"/>

                    <h:inputText id="s10"
                                 value="#{managedBeanParam.datosConsultaTramite.numeroPredialS10}"
                                 size="2" maxlength="2" onkeyup="saltar(this, 2, 11, 2, 'nuevoTramiteSolForm:');"
                                 onblur="complete(this, 2)" />

                    <h:inputText id="s11"
                                 value="#{managedBeanParam.datosConsultaTramite.numeroPredialS11}"
                                 size="2" maxlength="2" onkeyup="saltar(this, 2, 12, 4, 'nuevoTramiteSolForm:');"
                                 onblur="complete(this, 2)" />

                    <h:inputText id="s12"
                                 value="#{managedBeanParam.datosConsultaTramite.numeroPredialS12}"
                                 size="4" maxlength="4" onblur="complete(this, 4)" />
                </h:panelGroup>

                <p:commandButton value="Buscar" icon="ui-icon-search"
                                 action="#{managedBeanParam.buscarTramitesViaGubernativa}"
                                 process="@this, numPredialAgrupationPanel"
                                 onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                                 update="msg, numPredialAgrupationPanel">
                </p:commandButton>

            </h:panelGrid>

            <h:panelGrid columns="6" id="resoPanelEdicion"
                         rendered="#{managedBeanParam.criterio eq 'resolucion'}">
                <h:outputLabel value="Número de resolución: "
                               for="numeroResolucionEdicion" styleClass="outputLabelStyle" />
                <p:spacer height="0" width="55" />
                <h:inputText id="numeroResolucionEdicion"
                             label="Número de resolución"
                             value="#{managedBeanParam.numResolucion}" required="true" />
                <p:spacer height="0" width="20" />
                <p:commandButton value="Buscar"
                                 action="#{managedBeanParam.buscarTramitesViaGubernativa}"
                                 update="msg, resoPanelEdicion, resoContraProcedePanelEdicion, :tramitesAsociadosAResolucionForm"
                                 process="@this, resoPanelEdicion" icon="ui-icon-search"
                                 onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status, args, tablaBusquedaTramitePorPredioWV, true)">
                </p:commandButton>
            </h:panelGrid>

            <h:panelGrid id="resoContraProcedePanelEdicion"
                         rendered="#{managedBeanParam.criterio eq 'numeroPredial' and managedBeanParam.numPredialBool }">
                <h:outputLabel value="Resoluciones asociadas al trámite: "
                               for="resolucionRecursoEdicion" styleClass="outputLabelStyle" />

                <h:selectOneMenu id="resolucionRecursoEdicion"
                                 value="#{managedBeanParam.resolucionViaGubernativa}"
                                 style="position:relative;left:4px;">
                    <f:selectItem itemLabel="Seleccionar" itemValue=""/>
                    <f:selectItems value="#{managedBeanParam.listTramResolucion}"></f:selectItems>
                    <p:ajax update=":nuevoTramiteSolForm:infoTramitesEdicion" process="@this"
                            listener="#{managedBeanParam.actualizarTablaTramitesViaGubernativa}"></p:ajax>
                </h:selectOneMenu>
            </h:panelGrid>
        </h:panelGrid>

        <p:panel header="Información de Trámites" toggleable="false"
                 id="infoTramitesEdicion">

            <p:dataTable value="#{managedBeanParam.tramitesGubernativaAll}"
                         var="tramite" id="tablaTramitesViaGubernativaEdicion"
                         paginator="true" rows="10"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         paginatorPosition="bottom" rowsPerPageTemplate="10,20,30"
                         selectionMode="single" rowKey="#{tramite.id}"
                         selection="#{managedBeanParam.tramiteDeleteSeleccionado}"
                         emptyMessage="No se encontraron trámites">

                <p:ajax event="rowUnselect"
                        listener="#{managedBeanParam.onSelectTramiteGubernativaRow}" />

                <p:column>
                    <f:facet name="header">Acciones</f:facet>

                    <p:commandButton title="Eliminar" icon="ui-icon-trash"
                                     action="#{managedBeanParam.retirarTramitesViaGubernativa}"
                                     update=":nuevoTramiteSolForm:infoTramitesEdicion" immediate="true">
                        <f:setPropertyActionListener
                            target="#{managedBeanParam.tramiteDeleteSeleccionado}"
                            value="#{tramite}" />
                    </p:commandButton>
                </p:column>

                <p:column headerText="Número de radicación">
                    <h:outputText value="#{tramite.numeroRadicacion}" />
                </p:column>

                <p:column headerText="Fecha de radicación">
                    <h:outputText value="#{tramite.fechaRadicacion}" >
                        <f:convertDateTime pattern="dd/MM/yyyy" locale="es" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Tipo de Trámite">
                    <h:outputText value="#{tramite.tipoTramite}"
                                  id="TramiteTipoTramiteV">
                        <f:converter converterId="converterCB" for="TramiteTipoTramiteV" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Departamento">
                    <h:outputText value="#{tramite.departamento.nombre}" />
                </p:column>

                <p:column headerText="Municipio">
                    <h:outputText value="#{tramite.municipio.nombre}" />
                </p:column>

                <p:column headerText="Número Predial">
                    <h:outputText value="#{tramite.predio.formattedNumeroPredialCompleto}" />
                </p:column>

            </p:dataTable>

        </p:panel>

    </h:panelGrid>

</h:panelGrid>
